package com.dragon.tj.portal.component.message;

import org.apache.kafka.clients.admin.NewTopic;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author huey China.
 * @Description : kafka自定义配置
 * @Date Created in 2023/6/15 15:42
 */
@Configuration
public class KafkaInitialConfiguration {

    public static String sseTopic = "sseTopic";

    /**
     * 创建一个名为 sseTopic 的Topic并设置分区数为8，分区副本数为2
     */
    @Bean
    public NewTopic initialTopic() {

        return new NewTopic(sseTopic, 1, (short) 1);

    }

    // 如果要修改分区数，只需修改配置值重启项目即可
    // 修改分区数并不会导致数据的丢失，但是分区数只能增大不能减小
    @Bean
    public NewTopic updateTopic() {
        return new NewTopic(sseTopic, 1, (short) 1);

    }
}
