package com.dragon.tj.portal.controller;


import com.dragon.tj.portal.common.base.R;
import com.dragon.tj.portal.common.vo.message.MessageInfoParam;
import com.dragon.tj.portal.common.vo.message.MessageInfoVO;
import com.dragon.tj.portal.component.log.annotation.SysLog;
import com.dragon.tj.portal.service.MessageInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 信息表 前端控制器
 * </p>
 *
 * @author huey
 * @since 2023-06-15
 */
@RestController
@RequestMapping("/messageInfo")
public class MessageInfoController {

    @Autowired
    private MessageInfoService messageInfoService;

    /**
     * 详情
     */
    @GetMapping("detail")
    public R detail(Long id) {
        MessageInfoVO messageInfoVO = messageInfoService.detail(id);
        return R.ok(messageInfoVO);
    }

    /**
     * 修改
     */
    @SysLog("信息更新")
    @PostMapping("update")
    public R update(@Validated @RequestBody MessageInfoParam messageInfoParam) {
        return R.ok(messageInfoService.update(messageInfoParam));
    }

    /**
     * 批阅
     */
    @GetMapping("read")
    public R read(Long id) {
        return R.ok(messageInfoService.read(id));
    }
}

